<template>
    <div class="expenseDetail" v-if="expenseDetail">
       <section class="wrapper wrapper--inner wrapper--sp">
      <section class="fixed_block" :style="{'width':client + 'px'}">
        <p class="sales_p">显示金额为消费当地之币别消费记录于付款确认后24小时内可查询</p>
      </section>
      <ul class="sales_list">
        <!---->
        <!-- 消費列表li-->
        <li class="sales_list_content" v-for="(item,index) in orderlist" :key="index" >
          <div class="sales_detail_pre" @click="rotate(index)" :class="{'sales_detail_pre--active':num === index && flag}">
            <div class="sales_detail">
              <!---->
              <!-- 消費日期-->
              <time>{{item.orderTime}}</time>
              <!---->
              <!-- 消費店家-->
              <span class="shop">{{item.shopName}}</span>
              <!---->
              <!-- 消費金額-->
              <span class="total">共 {{thousandth(item.orderAmount)}} 元</span>
            </div>
            <div class="sales_detail">
              <!---->
              <!-- 订单序號-->
              <span class="sales_number">订单：<p>{{item.orderCode}}</p></span>
              <span class="sales_arrow" @click.stop="rotate(index)" :class="{'rotate':flag && num === index,'unrotate':!flag && num === index}"></span>
            </div>
          </div>
          <!---->
          <!-- 購買項目ul-->
          <ul class="sales_detail_info">
            <!---->
            <!-- 購買項目li-->
            <li class="res" v-for="(item1 ,index1) in item.orderDetailsList" :key = index1>
              <!---->
              <!-- 購買項目 名稱-->
              <span class="res_name">{{item1.productName}}</span>
              <!---->
              <!-- 購買項目 數量-->
              <span class="res_number">{{item1.productNum}}</span>
              <!---->
              <!-- 購買項目 單價-->
              <span class="res_price">{{thousandth(item1.productPrice)}}元</span>
            </li>
            <!--<li class="res"><span class="res_name">线上独家！受损发推荐组合！ Christophe Robin 刺梨籽修护滋养组</span><span class="res_number">1</span><span class="res_price">175,011元</span></li>-->
            <!--<li class="res"><span class="res_name">三效超抗氧净化精华</span><span class="res_number">1</span><span class="res_price">1,750元</span></li>-->
          </ul>
        </li>
      </ul>
    </section>
    </div>
</template>
<script>
    import store from  '../../utils/store.js';
export default {
    data(){
        return{
                contactId:'',
                orderlist:[],
                goodslist:[],
                num:0,
                flag:false,
                client:'',
                expenseDetail:''

        }
    },
    methods:{
        //千分位方法
        thousandth(str){
            if(str === '' || str === null){
                return str;
            }else{
                let re=/(?=(?!(\b))(\d{3})+$)/g;
                let str1 = str.toString();
                str1=str1.replace(re,",");
                return str1;
            }

        },
        getAjax(){
            let that = this;
            if(store.state.expenseDetail.contactId){
                that.contactId = store.state.expenseDetail.contactId;
            }else{
                that.contactId = sessionStorage.getItem('contactId');
            }
            let data = {
                contactId: that.contactId,

            }
            this.config.server(
                "/member/od",
                "POST",
                data,
                (data)=> {
                    console.log('success',data);
                    this.expenseDetail = true;
                    console.log(data);
                    that.datas = data.records;
                    that.orderlist = that.datas;
                    this.$forceUpdate();
                },
                (error)=> {
                    console.log('error',error);
                },
            )
        },
        rotate(index){
            this.flag = !this.flag;
            this.num = index;
            console.log('item',this.flag);
            this.$forceUpdate();
        }
    },
    created(){
        this.contactId = '';
        this.orderlist = [];
        this.goodslist = [];
        this.num = 0;
        this.flag = false;
        this.client = window.screen.width;
        this.getAjax();

    }
}
</script>
<style scoped>
  .rotate{
    transform: rotate(90deg);
  }
  .unrotate{
    transform: rotate(0deg);
  }

</style>
